Package com.independentsoft.office.odf.drawing

# Enum Class Kind

java.lang.Object
java.lang.Enum<Kind>
com.independentsoft.office.odf.drawing.Kind

All Implemented Interfaces:
  `Serializable`, `Comparable<Kind>`, `Constable`

public enum Kind extends Enum<Kind>
Represents the appearance of a circle.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ARC`
  Specifies the circle or ellipse with a cut.
  `CUT`
  Specifies the circle or ellipse with a cut.
  `FULL`
  Specifies the full circle or ellipse.
  `NONE`
  None.
  `SECTION`
  Specifies the section of a circle or ellipse.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Kind`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static Kind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FULL

    public static final Kind FULL
    Specifies the full circle or ellipse.

  - ### SECTION

    public static final Kind SECTION
    Specifies the section of a circle or ellipse.

  - ### CUT

    public static final Kind CUT
    Specifies the circle or ellipse with a cut.

  - ### ARC

    public static final Kind ARC
    Specifies the circle or ellipse with a cut.

  - ### NONE

    public static final Kind NONE
    None.

- ## Method Details

  - ### values

    public static Kind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Kind valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null